Get field values on a single Company
curl --request GET \
--url https://api.affinity.co/v2/companies/{companyId}/fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/companies/{companyId}/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/companies/{companyId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/companies/{companyId}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/companies/{companyId}/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/companies/{companyId}/fields")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/companies/{companyId}/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "affinity-data-description",
"name": "Description",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "Horizon Technologies is a leading technology company specializing in enterprise software and cloud infrastructure."
}
},
{
"id": "affinity-data-industry",
"name": "Industry",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Healthcare",
"Fintech",
"SaaS"
]
}
},
{
"id": "affinity-data-investment-stage",
"name": "Investment Stage",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text",
"data": "Public Markets"
}
},
{
"id": "affinity-data-investors",
"name": "Investors",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Alex Rivera",
"Taylor Wong"
]
}
},
{
"id": "affinity-data-last-funding-amount",
"name": "Last Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 100000000
}
},
{
"id": "affinity-data-last-funding-date",
"name": "Last Funding Date",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "datetime",
"data": "2023-01-01T00:00:00Z"
}
},
{
"id": "affinity-data-linkedin-url",
"name": "LinkedIn URL",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "https://linkedin.com/company/horizontech"
}
},
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "location",
"data": {
"streetAddress": null,
"city": "Fairfield",
"state": "New Jersey",
"country": "United States",
"continent": null
}
}
},
{
"id": "affinity-data-number-of-employees",
"name": "Number of Employees",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 3990
}
},
{
"id": "affinity-data-total-funding-amount",
"name": "Total Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 90000000
}
},
{
"id": "affinity-data-year-founded",
"name": "Year Founded",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 1952
}
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/companies/1/fields?types=enriched&cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/companies/1/fields?types=enriched&cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}Company Field Values
Get field values on a single Company
| ⚠️ This endpoint is currently in BETA |
|---|
Paginate through field values on a single company.
Enriched, global, and relationship-intelligence fields will be included by default. The ids and types parameters can be used to filter
the collection. These parameters are mutually exclusive.
List fields are not returned by this endpoint. To retrieve or update list field values, use the list entry fields endpoints.
GET
/
v2
/
companies
/
{companyId}
/
fields
Get field values on a single Company
curl --request GET \
--url https://api.affinity.co/v2/companies/{companyId}/fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/companies/{companyId}/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/companies/{companyId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/companies/{companyId}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/companies/{companyId}/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/companies/{companyId}/fields")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/companies/{companyId}/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "affinity-data-description",
"name": "Description",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "Horizon Technologies is a leading technology company specializing in enterprise software and cloud infrastructure."
}
},
{
"id": "affinity-data-industry",
"name": "Industry",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Healthcare",
"Fintech",
"SaaS"
]
}
},
{
"id": "affinity-data-investment-stage",
"name": "Investment Stage",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text",
"data": "Public Markets"
}
},
{
"id": "affinity-data-investors",
"name": "Investors",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Alex Rivera",
"Taylor Wong"
]
}
},
{
"id": "affinity-data-last-funding-amount",
"name": "Last Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 100000000
}
},
{
"id": "affinity-data-last-funding-date",
"name": "Last Funding Date",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "datetime",
"data": "2023-01-01T00:00:00Z"
}
},
{
"id": "affinity-data-linkedin-url",
"name": "LinkedIn URL",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "https://linkedin.com/company/horizontech"
}
},
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "location",
"data": {
"streetAddress": null,
"city": "Fairfield",
"state": "New Jersey",
"country": "United States",
"continent": null
}
}
},
{
"id": "affinity-data-number-of-employees",
"name": "Number of Employees",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 3990
}
},
{
"id": "affinity-data-total-funding-amount",
"name": "Total Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 90000000
}
},
{
"id": "affinity-data-year-founded",
"name": "Year Founded",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 1952
}
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/companies/1/fields?types=enriched&cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/companies/1/fields?types=enriched&cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}Authorizations
Query Parameters
Was this page helpful?